how do i do this? Posted July 15, 2011 Posted July 15, 2011 Hi all, was just wondering how to convert a bunch of lines into one continuous polyline? Quote
Jack_O'neill Posted July 15, 2011 Posted July 15, 2011 Check the help files on how to use the "pedit" command. It will convert a line into a polyline, and then you can join other segments, edit the width, etc. Quote
SLW210 Posted July 15, 2011 Posted July 15, 2011 PEDIT and use the Multiple option or there is MPEDIT in the Express Tools. Quote
Jack_O'neill Posted July 15, 2011 Posted July 15, 2011 There's also a Join command. Join will take line segments that are collinear and turn them into one selectable object but it doesn't turn lines into polylines. Arcs have to lie on the same imaginary circle, and it won't join a line to an arc. Quote
rkent Posted July 15, 2011 Posted July 15, 2011 ... Arcs have to lie on the same imaginary circle' date=' and it won't join a line to an arc.[/quote'] FWIW: 2012 will join an arc to a line, creating a pline in the process. Quote
Jack_O'neill Posted July 15, 2011 Posted July 15, 2011 FWIW: 2012 will join an arc to a line, creating a pline in the process. The join option of Pedit does this, but i'd have to look into the future for your version. I'm stuck in 2010! Quote
yekom Posted July 18, 2011 Posted July 18, 2011 There are two ways to do this: 1- I always find this procedure the easiest: use MPEDIT, select the lines, convert to polylines (YES), select JOIN and when it ask you to enter a fuzz distance just press ENTER and then press ESC to complete the process. 2- If you have an enclosed area that consist of lines, use the BOUNDARY (BO) command to convert those lines into polylines. Quote
Joseph Marquez Posted July 22, 2011 Posted July 22, 2011 So I type in MPEDIT in the command line and I select the lines, what do I do after that? It keeps asking me all these different questions. Quote
rkent Posted July 22, 2011 Posted July 22, 2011 So I type in MPEDIT in the command line and I select the lines, what do I do after that? It keeps asking me all these different questions. You answer Yes, enter, enter. Done. Quote
nestly Posted July 22, 2011 Posted July 22, 2011 PEDIT is clunky .... PolyJoin is sleek ;;---------------------=={ Polyline Join }==------------------;; ;; ;; ;; Attempts to join all Lines, Arcs and LWPolylines in a ;; ;; selection. ;; ;;------------------------------------------------------------;; ;; Author: Lee Mac, Copyright © 2011 - www.lee-mac.com ;; ;;------------------------------------------------------------;; (defun c:pj nil (c:PolyJoin)) (defun c:PolyJoin ( / *error* _StartUndo _EndUndo vl ov ss ) (vl-load-com) ;; © Lee Mac 2011 (defun *error* ( msg ) (if ov (mapcar 'setvar vl ov)) (if doc (_EndUndo doc)) (or (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*") (princ (strcat "\n** Error: " msg " **")) ) (princ) ) (defun _StartUndo ( doc ) (_EndUndo doc) (vla-StartUndoMark doc) ) (defun _EndUndo ( doc ) (if (= 8 (logand 8 (getvar 'UNDOCTL))) (vla-EndUndoMark doc) ) ) (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))) (_StartUndo doc) (setq vl '("CMDECHO" "PEDITACCEPT") ov (mapcar 'getvar vl)) (mapcar 'setvar vl '(0 1)) (if (setq ss (ssget "_:L" '((0 . "LINE,ARC,LWPOLYLINE")))) (command "_.pedit" "_M" ss "" "_J" "" "") ) (mapcar 'setvar vl ov) (_EndUndo doc) (princ) ) Quote
clepine Posted July 22, 2011 Posted July 22, 2011 Typical autocad, theres usually more than one way to do something. The PE - JOIN process works as long as the lines you are joining together have the same beginning and end point, like if you were to draw several lines continouly. You can also connect multiple lines together that do not have the same beginning and end points connected by converting one line into a PLINE and using the FILLET - MULTIPLE command, select each end of two lines you want to join together, this will create the connected lines into a PLINE as long as the first one you select is a PLINE. You can also set a radius to the fillet, which is handy when you need to create a known radius that is tangent to two lines, like at road intersections. Quote
rkent Posted July 22, 2011 Posted July 22, 2011 (edited) ....You can also connect multiple lines together that do not have the same beginning and end points connected by converting one line into a PLINE and using the FILLET - MULTIPLE command, select each end of two lines you want to join together, this will create the connected lines into a PLINE as long as the first one you select is a PLINE. ... This is no longer true, you don't need to convert a line to pline first, and you don't have to use fillet. If you have two lines say at 90 degrees to one another and not touching by 6 inches, start PE, Mulitple, pick, join, fuzzfactor >6, finished. They are now one pline. Edited July 22, 2011 by rkent clarified fuzzfactor value Quote
clepine Posted July 22, 2011 Posted July 22, 2011 This is no longer true, you don't need to convert a line to pline first, and you don't have to use fillet. If you have two lines say at 90 degrees to one another and not touching by 6 inches, start PE, Mulitple, pick, join, fuzzfactor or 8, finished. They are now one pline. Cool, thats going to be especially helpful when the lines have different elevations. Quote
nestly Posted July 22, 2011 Posted July 22, 2011 Cool, thats going to be especially helpful when the lines have different elevations. I don't think so.... you can't join line segments that can't define a single plane. Quote
Joseph Marquez Posted July 22, 2011 Posted July 22, 2011 You answer Yes, enter, enter. Done. Simple and Quick. I LIKE IT! Thanks! Quote
scj Posted July 23, 2011 Posted July 23, 2011 See http://www.cadtutor.net/forum/showthread.php?16011-3d-pedit-comand&highlight=PEDIT3d Regards Jochen Quote
chipopeloto Posted September 4, 2013 Posted September 4, 2013 This is what I was looking for thanks! Quote
TheCADnoob Posted November 5, 2015 Posted November 5, 2015 Check the help files on how to use the "pedit" command. It will convert a line into a polyline' date=' and then you can join other segments, edit the width, etc.[/quote'] just what the dr ordered Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.